Skip to main content
`Ctrl`+`K`

# PetscHMapObjSet

Set a (key,value) entry in the hash table

## Synopsis

    #include <petsc/private/hashmapobj.h>
    PetscErrorCode PetscHMapObjSet(PetscHMapObj ht, PetscInt64 key, PetscObject val)

## Input Parameters

- ht - The hash table

- key - The key

- val - The value

## See Also

`PetscHMapObjGet()`, `PetscHMapObjSetWithMode()`, `PetscHMapObjGetWithDefault()`, `PetscHMapObjIterSet()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages